aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Palimaka <kensington@gentoo.org>2012-07-25 14:05:08 (GMT)
committerMichael Palimaka <kensington@gentoo.org>2012-07-25 14:05:08 (GMT)
commitf6d5e4c8af8db3e84cac7cac719b8383c4247d64 (patch)
tree004bfbb01172e76886b00c6eadb8128e29899179
parent[x11-libs/qt-svg] QtSvg live ebuild for Qt5. (diff)
downloadqt-f6d5e4c8af8db3e84cac7cac719b8383c4247d64.zip
qt-f6d5e4c8af8db3e84cac7cac719b8383c4247d64.tar.gz
qt-f6d5e4c8af8db3e84cac7cac719b8383c4247d64.tar.bz2
[x11-libs/qt-core] More respect for *FLAGS.
(Portage version: 2.1.11.9/git/Linux x86_64, unsigned Manifest commit)
-rw-r--r--x11-libs/qt-core/qt-core-4.8.9999.ebuild7
1 files changed, 7 insertions, 0 deletions
diff --git a/x11-libs/qt-core/qt-core-4.8.9999.ebuild b/x11-libs/qt-core/qt-core-4.8.9999.ebuild
index 18eb5d5..77229ec 100644
--- a/x11-libs/qt-core/qt-core-4.8.9999.ebuild
+++ b/x11-libs/qt-core/qt-core-4.8.9999.ebuild
@@ -87,6 +87,13 @@ src_prepare() {
"${S}/qmake/Makefile.unix" || die "sed qmake/Makefile.unix CXXFLAGS failed"
sed -i -e "s:LFLAGS.*=:LFLAGS=${LDFLAGS} :" \
"${S}/qmake/Makefile.unix" || die "sed qmake/Makefile.unix LDFLAGS failed"
+
+ # bug #427782
+ sed -i -e "/^CPPFLAGS/s/-g//" \
+ "${S}/qmake/Makefile.unix" || die "sed qmake/Makefile.unix CPPFLAGS failed"
+ sed -i -e "s/setBootstrapVariable QMAKE_CFLAGS_RELEASE/QMakeVar set QMAKE_CFLAGS_RELEASE/" \
+ -e "s/setBootstrapVariable QMAKE_CXXFLAGS_RELEASE/QMakeVar set QMAKE_CXXFLAGS_RELEASE/" \
+ "${S}/configure" || die "sed configure setBootstrapVariable failed"
}
src_configure() {